<?php
require '../../conexao/conexao.php';


$id_configuracao = $_POST['id_configuracao'] ?? null;
$operacoes = $_POST['operacoes'] ?? null;
$operacoes_url = $_POST['url'] ?? null;
$ativo = $_POST['ativo'] ?? null;
$inativo = $_POST['inativo'] ?? null;

if (!empty($operacoes)) {
    $operacoesArray = explode(',', $operacoes);
} else {
    $operacoesArray = [];
}
//die(var_dump($operacoesArray));

if (!empty($ativo) && !empty($id_configuracao)) {
    // Deletar registros existentes com os valores informados
    $stmt = $connectionmysql->prepare("DELETE FROM preferencias WHERE id_configuracoes = ? AND valor = ?");

    foreach ($operacoesArray as $valor) {
        $stmt->bind_param("ss", $id_configuracao, $valor);
        $stmt->execute();
    }

    if ($stmt->affected_rows > 0) {
        header("Location: index.php?status=sucesso&".$operacoes_url);
    } else {
        header("Location: index.php?status=erro&".$operacoes_url);
    }

    $stmt->close();
    exit;
} elseif (!empty($inativo) && !empty($id_configuracao)) {
    // Inserir registros na tabela preferencias
    $stmt = $connectionmysql->prepare("INSERT INTO preferencias (id_preferencia, id_configuracoes, valor) VALUES (NULL, ?, ?)");

    foreach ($operacoesArray as $valor) {
        $stmt->bind_param("ss", $id_configuracao, $valor);
        $stmt->execute();
    }

    if ($stmt->affected_rows > 0) {
        header("Location: index.php?status=sucesso&".$operacoes_url);
    } else {
        header("Location: index.php?status=erro&".$operacoes_url);
    }

    $stmt->close();
    exit;
}
// } else {
//     header("Location: index.php?status=erro");
// }

$connectionmysql->close();
